using System.ComponentModel;
using System.Windows.Forms;

namespace NotepadEnhanced.Refactexing
{
    public partial class EditRefactexForm : Form
    {
        public EditRefactexForm(Refactex refactex)
        {
            InitializeComponent();
            refactexPanel.LoadRefactex(refactex);
        }

        private void refactexPanel_SubmittableChanged(object sender, System.EventArgs e)
        {
            btnAccept.Enabled = refactexPanel.Submittable;
        }

        [Browsable(false)]
        public Refactex Refactex
        {
            get { return refactexPanel.Refactex; }
        }
    }
}
